commit:     708d9df2b12d34c92b00fa8f16a50adcbc6447ba
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Jul 11 16:24:05 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Jul 11 16:37:27 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=708d9df2

dev-python/cattrs: Bump to 23.2.3_p20240627

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/cattrs/Manifest                         |   1 +
 dev-python/cattrs/cattrs-23.2.3_p20240627.ebuild   | 101 +++++++++++++++++++++
 .../files/cattrs-23.2.3_p20240627-py313.patch      |  74 +++++++++++++++
 3 files changed, 176 insertions(+)

diff --git a/dev-python/cattrs/Manifest b/dev-python/cattrs/Manifest
index 9ea98d964c55..a1333f1e47f1 100644
--- a/dev-python/cattrs/Manifest
+++ b/dev-python/cattrs/Manifest
@@ -1 +1,2 @@
 DIST cattrs-23.2.3.gh.tar.gz 612120 BLAKE2B 
a227cc50cb23a76931562f17444fcfb4a5532cac74f80b478a8abb6d113cbb0a06c471c3ca7ee256f74640486464762f4a13387ccfc1cd144cfd1a9bfecddd8e
 SHA512 
76a75ea0893bb1549dd5178436c4823ae5b918c16f0d8195203c48e894438ec792cee77698d783f7e43c07445c46a6041a309c3d3bbcadcff95d9c4079e3d622
+DIST cattrs-6290cacdb7f9d195b4f96ce0ab036c8eebf35d94.gh.tar.gz 426769 BLAKE2B 
61851be04434e55d627aac6fd73d72d9d4d8a150bedb6110f4b99068dd58ed29fd23ff083c595eb508b144546d8e4d1e926831dc51985775773ab86a86d98815
 SHA512 
f1034ae0c57a0618c6568ebac0696928e125121431e965c0ceeda82070a21b448630e3188cc03a8d7a44447126a4a2623b8604ef856a89268e1c0802761d89b9

diff --git a/dev-python/cattrs/cattrs-23.2.3_p20240627.ebuild 
b/dev-python/cattrs/cattrs-23.2.3_p20240627.ebuild
new file mode 100644
index 000000000000..e2d1c45b9ba8
--- /dev/null
+++ b/dev-python/cattrs/cattrs-23.2.3_p20240627.ebuild
@@ -0,0 +1,101 @@
+# Copyright 2022-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( pypy3 python3_{10..13} )
+
+inherit distutils-r1
+
+EGIT_COMMIT="6290cacdb7f9d195b4f96ce0ab036c8eebf35d94"
+MY_P=cattrs-${EGIT_COMMIT}
+
+DESCRIPTION="Composable complex class support for attrs and dataclasses"
+HOMEPAGE="
+       https://pypi.org/project/cattrs/
+       https://github.com/python-attrs/cattrs/
+"
+SRC_URI="
+       https://github.com/python-attrs/cattrs/archive/${EGIT_COMMIT}.tar.gz
+               -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv 
~s390 ~sparc ~x86"
+IUSE="test-rust"
+
+RDEPEND="
+       >=dev-python/attrs-20.1.0[${PYTHON_USEDEP}]
+       >=dev-python/typing-extensions-4.1.0[${PYTHON_USEDEP}]
+       $(python_gen_cond_dep '
+               dev-python/exceptiongroup[${PYTHON_USEDEP}]
+       ' 3.10)
+"
+BDEPEND="
+       dev-python/hatch-vcs[${PYTHON_USEDEP}]
+       test? (
+               >=dev-python/cbor2-5.4.6[${PYTHON_USEDEP}]
+               >=dev-python/hypothesis-6.54.5[${PYTHON_USEDEP}]
+               >=dev-python/immutables-0.18[${PYTHON_USEDEP}]
+               >=dev-python/msgpack-1.0.2[${PYTHON_USEDEP}]
+               >=dev-python/pymongo-4.2.0[${PYTHON_USEDEP}]
+               >=dev-python/pyyaml-6.0[${PYTHON_USEDEP}]
+               >=dev-python/tomlkit-0.11.4[${PYTHON_USEDEP}]
+               >=dev-python/ujson-5.4.0[${PYTHON_USEDEP}]
+               test-rust? (
+                       $(python_gen_cond_dep '
+                               >=dev-python/orjson-3.5.2[${PYTHON_USEDEP}]
+                       ' 'python*')
+               )
+       )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+PATCHES=(
+       # https://github.com/python-attrs/cattrs/pull/543
+       "${FILESDIR}/${P}-py313.patch"
+)
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=${PV/_p/+}
+
+python_test() {
+       local EPYTEST_IGNORE=(
+               # requires msgspec
+               tests/preconf/test_msgspec_cpython.py
+       )
+       local EPYTEST_DESELECT=(
+               # these require msgspec
+               
tests/test_preconf.py::test_msgspec_json_unstruct_collection_overrides
+               tests/test_preconf.py::test_msgspec_json_unions
+               tests/test_preconf.py::test_msgspec_json_converter
+       )
+
+       if ! has_version "dev-python/orjson[${PYTHON_USEDEP}]"; then
+               EPYTEST_DESELECT+=(
+                       tests/test_preconf.py::test_orjson
+                       tests/test_preconf.py::test_orjson_converter
+                       
tests/test_preconf.py::test_orjson_converter_unstruct_collection_overrides
+               )
+       fi
+
+       case ${EPYTHON} in
+               python3.13)
+                       EPYTEST_DESELECT+=(
+                               tests/preconf/test_pyyaml.py::test_pyyaml
+                               
tests/preconf/test_pyyaml.py::test_pyyaml_converter
+                               tests/test_converter.py::test_simple_roundtrip
+                               
tests/test_gen_dict.py::test_unmodified_generated_structuring
+                               
tests/test_generics.py::test_unstructure_deeply_nested_generics_list
+                               
tests/test_unstructure_collections.py::test_collection_unstructure_override_mapping
+                       )
+                       ;;
+       esac
+
+       local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+       epytest -o addopts= tests
+}

diff --git a/dev-python/cattrs/files/cattrs-23.2.3_p20240627-py313.patch 
b/dev-python/cattrs/files/cattrs-23.2.3_p20240627-py313.patch
new file mode 100644
index 000000000000..1ea85a653a32
--- /dev/null
+++ b/dev-python/cattrs/files/cattrs-23.2.3_p20240627-py313.patch
@@ -0,0 +1,74 @@
+From b0ff7b1e40f4e3c1865da2cd04251eed6b64cd36 Mon Sep 17 00:00:00 2001
+From: =?UTF-8?q?Tin=20Tvrtkovi=C4=87?= <[email protected]>
+Date: Fri, 21 Jun 2024 01:25:15 +0200
+Subject: [PATCH] Fix some tests for 3.13
+
+---
+ tests/test_converter.py | 7 ++++---
+ tests/test_gen_dict.py  | 4 +++-
+ tests/typed.py          | 5 ++++-
+ 3 files changed, 11 insertions(+), 5 deletions(-)
+
+diff --git a/tests/test_converter.py b/tests/test_converter.py
+index b401860c..63a6502b 100644
+--- a/tests/test_converter.py
++++ b/tests/test_converter.py
+@@ -54,8 +54,8 @@ def test_simple_roundtrip(cls_and_vals, detailed_validation):
+ 
+ 
+ @given(
+-    simple_typed_classes(kw_only=False, newtypes=False)
+-    | simple_typed_dataclasses(newtypes=False),
++    simple_typed_classes(kw_only=False, newtypes=False, allow_nan=False)
++    | simple_typed_dataclasses(newtypes=False, allow_nan=False),
+     booleans(),
+ )
+ def test_simple_roundtrip_tuple(cls_and_vals, dv: bool):
+@@ -103,7 +103,8 @@ def test_simple_roundtrip_defaults_tuple(attr_and_vals):
+ 
+ 
+ @given(
+-    simple_typed_classes(newtypes=False) | 
simple_typed_dataclasses(newtypes=False),
++    simple_typed_classes(newtypes=False, allow_nan=False)
++    | simple_typed_dataclasses(newtypes=False, allow_nan=False),
+     unstructure_strats,
+ )
+ def test_simple_roundtrip_with_extra_keys_forbidden(cls_and_vals, strat):
+diff --git a/tests/test_gen_dict.py b/tests/test_gen_dict.py
+index 16911d51..5395b9e9 100644
+--- a/tests/test_gen_dict.py
++++ b/tests/test_gen_dict.py
+@@ -185,7 +185,9 @@ def test_unmodified_generated_structuring(cl_and_vals, dv: 
bool):
+ 
+ 
+ @given(
+-    simple_typed_classes(min_attrs=1) | 
simple_typed_dataclasses(min_attrs=1), data()
++    simple_typed_classes(min_attrs=1, allow_nan=False)
++    | simple_typed_dataclasses(min_attrs=1, allow_nan=False),
++    data(),
+ )
+ def test_renaming(cl_and_vals, data):
+     converter = Converter()
+diff --git a/tests/typed.py b/tests/typed.py
+index 7589c9a6..fa2573af 100644
+--- a/tests/typed.py
++++ b/tests/typed.py
+@@ -82,7 +82,9 @@ def simple_typed_classes(
+     ).flatmap(partial(_create_hyp_class, frozen=frozen))
+ 
+ 
+-def simple_typed_dataclasses(defaults=None, min_attrs=0, frozen=False, 
newtypes=True):
++def simple_typed_dataclasses(
++    defaults=None, min_attrs=0, frozen=False, newtypes=True, allow_nan=None
++):
+     """Yield tuples of (class, values)."""
+     return lists_of_typed_attrs(
+         defaults,
+@@ -90,6 +92,7 @@ def simple_typed_dataclasses(defaults=None, min_attrs=0, 
frozen=False, newtypes=
+         for_frozen=frozen,
+         allow_mutable_defaults=False,
+         newtypes=newtypes,
++        allow_nan=allow_nan,
+     ).flatmap(partial(_create_dataclass, frozen=frozen))
+ 
+ 

Reply via email to